<?php

namespace app\model;

use think\Model;

class Applies extends Model
{
    protected $table = 'applies';

    public function getAppliesList($pageNo, $pageSize, $order_, $field, $params)
    {

        return $this
            ->field($field)
            ->alias("a")
            ->join('houseinfos b', 'a.house_id = b.id', 'LEFT')
            ->join('houseinfo_exts c', 'c.house_id = b.id', 'LEFT')
            ->where($params)
            ->order($order_)
            ->limit($pageSize)
            ->page($pageNo)
            ->select();
    }

}
